USE 110 KEY 4
JOIN CAU TO 110 INTO CODTAB==CODCAUS
SORT 111 BY NUMREG CODART NRIG
	JOIN TO 110 INTO NUMREG==NUMREG
JOIN 47 TO 111 INTO CODART==CODART 
JOIN 33 TO 110 INTO PROVV==DOCPROVV ANNO==ANNODOC CODNUM==CODNUM NDOC==NUMDOC

JOIN 49 TO 111 KEY 2 ALIAS 349 INTO CODART==CODART UM==UM
JOIN 49 TO 47  ALIAS 249 INTO CODART==CODART 
END
	
DESCRIPTION
BEGIN
    47->* "Anagrafica articoli"
    109->* "Archivio Giacenze"
    MAG->* "Tabella magazzini"
    110->* "Movimenti di magazzino"
    111->* "Righe Movimenti di magazzino"
    49->* "Unit di misura articoli"
		33->* "documenti"
END

GENERAL
BEGIN
    OFFSET 0 0
    FONT "Courier New"
    SIZE 12
    CARATTERE "X"
    INIZIALE 5 2
    FINALE 133
END

SECTION HEADER ODD 3

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  120 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  137 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 25
BEGIN
 KEY "Intestazione stampa"
 PROMPT  45 2 "Stampa lista movimenti"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

END

SECTION BODY ODD 1
	SECTION HEADER_DATA 1 0 1 GROUP 
		DATA 1 
		BEGIN
			KEY "raggr fdata"
			PROMPT  1 1 "------------- Registrazioni del "
			FIELD 110->DATACOMP
		END
	END
	SECTION RAGG_MOV 1 1 3 FILE 110 GROUP 110->DATACOMP

		NUMERO 1 
		BEGIN
			KEY "numreg"
			PROMPT  1 1 ""
			FIELD 110->NUMREG
			PICTURE "#####.@"
			MESSAGE RESET,10
		END

		DATA 2 8
		BEGIN
			KEY "datacomp"
			PROMPT  10 1 ""
			FIELD 110->DATACOMP
		END

		STRINGA 3 8
			BEGIN
			KEY "descr mov"
			PROMPT  20 1 ""
			FIELD 110->DESCR
		END

		STRINGA 4 8
			BEGIN
			KEY " CAUS mov"
				PROMPT  1 2 ""
			FIELD 110->CODCAUS
		END
		STRINGA 5 20
		BEGIN
			KEY " DESCR CAUS"
			PROMPT  10 2 ""
			FIELD CAU->S0
		END

		SECTION INFO_DOC 3 0 1 NUM_EXPR 110->NUMDOC!=0
			STRINGA 6 20
			BEGIN
				KEY " NUMDOC"
				PROMPT  2 1 "Documento "
				FIELD 110->NUMDOC
			END
			STRINGA 7 20
			BEGIN
				KEY " datadoc"
				PROMPT  20 1 "del "
				FIELD 33->DATADOC
			END
		END

		SECTION RIGHE_MOV 3 1 1 FILE 111
			STRINGA 101 3
			BEGIN
				KEY ""
				PROMPT  4 1 ""
				FIELD 111->CODMAG[1,3]
			END
			STRINGA 102 3
			BEGIN
				KEY ""
				PROMPT  8 1 ""
				FIELD 111->CODMAG[4,5]
			END

			STRINGA 103 20
			BEGIN
				KEY ""
				PROMPT  13 1 ""
				FIELD 111->CODART
			END

			STRINGA 104 40
			BEGIN
				KEY ""
				PROMPT  35 1 ""
				FIELD 47->DESCR
			END

			STRINGA 105 20
			BEGIN
				KEY "UMART"
				PROMPT  77 1 ""
				FIELD 111->UM
			END

			NUMERO 106
			BEGIN
				KEY "quant"
				PROMPT  80 1 ""
				FIELD 111->QUANT
				PICTURE "####.###,@##"
				// se il valore  corretto con FC, l'UM stampata deve essere quella dell'articolo
				//MESSAGE _NUMEXPR,111->QUANT*349@->FC
			END

			NUMERO 107
			BEGIN
				KEY "prezzo"
				PROMPT  94 1 "  "
				FIELD 111->PREZZO
				PICTURE "##.####.###@"
			END

			NUMERO 108
			BEGIN
				KEY "valore"
				FLAGS "H"
				PROMPT  120 1 ""
				MESSAGE _NUMEXPR,111->PREZZO*111->QUANT*349@->FC|ADD,10
			END

		END // RIGHE MOVIMENTO

		NUMERO 10 
		BEGIN
			KEY "totale mov"
			PROMPT  1 3 "Totale valore movimentato:  "
			PICTURE "##.###.####.##@"
		END


 END
END // BODY SECTION
